Chris Desjardins 2017-12-12 21:40:05 +0100  (HEAD -> master, tag: v2017.346, origin/master, m/master) Get rid of uncaught exception
Chris Desjardins 2017-11-12 17:23:51 +0100  Add include for std::bind
Chris Desjardins 2017-05-14 21:07:31 +0200  Uncrustify
Chris Desjardins 2017-05-14 21:07:19 +0200  Update to botan 2
Christopher Desjardins 2017-02-15 07:59:55 +0100  Make triple click work when lines are scrolled off screen
Christopher Desjardins 2017-02-15 07:27:59 +0100  Only have triple click select whole line
Chris Desjardins 2017-01-08 20:38:46 +0100  (tag: v2017.008) uncrustify
Chris Desjardins 2017-01-04 18:24:34 +0100  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2017-01-04 18:24:08 +0100  Update capture timestamp to not use put_time
Chris Desjardins 2017-01-03 23:01:11 +0100  uncrustify
Chris Desjardins 2017-01-03 22:50:33 +0100  Add time stamps to capture files
Chris Desjardins 2016-11-27 11:16:40 +0100  (tag: v2016.332) Fix compiler error on linux
Chris Desjardins 2016-11-27 10:57:26 +0100  Add ability to append to capture logs
Chris Desjardins 2016-11-27 10:55:23 +0100  Update debug botan lib name
Chris Desjardins 2016-03-14 22:08:43 +0100  (tag: v2016.075) Update the way the resize event is handled
Chris Desjardins 2015-12-27 22:35:50 +0100  Update to startup script for sym links
Chris Desjardins 2015-11-21 13:02:43 +0100  Close serial port in detection routine
Chris Desjardins 2015-11-14 11:53:19 +0100  Change default value for send newlines
Chris Desjardins 2015-11-08 17:40:18 +0100  (tag: v2015.314) Uncrustify
Chris Desjardins 2015-11-08 13:48:46 +0100  Add help link
Chris Desjardins 2015-11-08 13:46:32 +0100  Add help icon
Chris Desjardins 2015-11-07 11:10:08 +0100  Start on keep alives
Chris Desjardins 2015-11-07 10:45:07 +0100  rename widget
Chris Desjardins 2015-11-04 20:32:28 +0100  Uncrustify
Chris Desjardins 2015-11-04 20:21:42 +0100  Add checkbox for x11
Chris Desjardins 2015-10-29 22:00:31 +0100  (tag: v2015.307) Update window focus for docking file clipboard
Chris Desjardins 2015-10-27 21:27:52 +0100  (tag: v2015.301) Uncrustify
Chris Desjardins 2015-10-27 21:25:40 +0100  Merge branch 'dock'
Chris Desjardins 2015-10-27 21:23:58 +0100  Add missing whitespace
Chris Desjardins 2015-10-27 21:22:32 +0100  Make file clipboard docking
Chris Desjardins 2015-10-27 00:05:07 +0100  Uncrustify
Chris Desjardins 2015-10-26 23:59:29 +0100  Fix more warnings with gcc 5
Chris Desjardins 2015-10-26 23:32:20 +0100  Fix some compiler warnings
Chris Desjardins 2015-10-26 23:15:16 +0100  Get rid of more boost formats
Chris Desjardins 2015-10-26 23:05:17 +0100  Remove boost format
Chris Desjardins 2015-10-19 21:28:12 +0200  Remove qt4 boost work around
Chris Desjardins 2015-10-17 12:28:56 +0200  Update create version target
Chris Desjardins 2015-10-14 08:05:43 +0200  (tag: v2015.287) Fix bug in file logger
Chris Desjardins 2015-10-10 20:20:31 +0200  Remove extra slash
Chris Desjardins 2015-10-10 15:06:06 +0200  Update combomb for new boost location
Chris Desjardins 2015-10-07 23:05:50 +0200  Update combomb url
Chris Desjardins 2015-10-07 22:38:31 +0200  Add cppssh version to about box
Chris Desjardins 2015-10-04 20:14:57 +0200  Uncrustify
Chris Desjardins 2015-10-03 16:04:41 +0200  Add create/destroy back for cppssh
Chris Desjardins 2015-10-03 12:55:29 +0200  Uncrustify
Chris Desjardins 2015-10-03 12:21:15 +0200  Remove connection between host and username
Chris Desjardins 2015-10-02 20:07:28 +0200  Make open dialog remember its location
Chris Desjardins 2015-09-23 17:42:14 +0200  Update permissions on the launch script
Chris Desjardins 2015-09-21 21:03:10 +0200  (tag: v2015.264) Update build script
Chris Desjardins 2015-09-20 20:44:45 +0200  Uncrustify
Chris Desjardins 2015-09-20 11:04:15 +0200  Add connection failure reason
Chris Desjardins 2015-09-20 10:22:32 +0200  Update code to use nullptr
Chris Desjardins 2015-09-19 15:00:54 +0200  Update readme for python versions
Chris Desjardins 2015-09-19 14:57:08 +0200  createVersion to support python 2 and 3
Chris Desjardins 2015-09-19 14:56:26 +0200  Add executable flag to ComBomb script
Chris Desjardins 2015-09-19 14:56:11 +0200  Remove dead script
Chris Desjardins 2015-09-19 14:54:53 +0200  example to support python 2 and 3
Chris Desjardins 2015-09-19 14:54:25 +0200  Change permissions on script
Chris Desjardins 2015-09-19 14:45:39 +0200  Make ComBomb use the debug version of queueptr for debug builds
Chris Desjardins 2015-09-18 02:16:21 +0200  Fix type-o
Chris Desjardins 2015-09-18 02:14:48 +0200  Update readme
Chris Desjardins 2015-09-18 02:08:39 +0200  Move to new build system
Chris Desjardins 2015-09-17 21:03:04 +0200  Add combomb launch script
Chris Desjardins 2015-09-16 23:20:51 +0200  Merge commit '322a094'
Chris Desjardins 2015-09-16 23:20:11 +0200  New queue location
Chris Desjardins 2015-09-16 20:00:51 +0200  Add xcb libs to the archive, and static link runtime
Chris Desjardins 2015-09-14 22:28:34 +0200  Copy combomb icon during build for easy access
Chris Desjardins 2015-09-12 13:03:55 +0200  (tag: v2015.257, tag: v2015.255) Uncrustify
Chris Desjardins 2015-09-12 12:58:05 +0200  Add logging config item
Chris Desjardins 2015-09-09 21:35:41 +0200  Make the connection non-blocking
Chris Desjardins 2015-09-09 20:06:12 +0200  Cleanup png images for libpng 1.6 warnings
Chris Desjardins 2015-09-08 20:09:17 +0200  Uncrustify
Chris Desjardins 2015-09-02 00:10:43 +0200  Update file masks
Chris Desjardins 2015-09-07 22:18:02 +0200  Rework the updatechecker to use asio rather than Qt
Chris Desjardins 2015-09-01 23:36:10 +0200  Uncrustify
Chris Desjardins 2015-08-31 08:14:34 +0200  Remove cryptlib reference from readme
Chris Desjardins 2015-08-30 20:46:17 +0200  Get rid of cryptlib, and use cppssh
Chris Desjardins 2015-08-30 20:42:45 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-08-27 19:40:06 +0200  Add example to build script
Chris Desjardins 2015-08-27 18:54:04 +0200  Add the new example script to the release
Chris Desjardins 2015-08-27 18:52:51 +0200  (tag: v2015.239) Add new example script to interact with the remote end
Chris Desjardins 2015-08-26 23:25:30 +0200  Add static runtime to windows qt build
Chris Desjardins 2015-08-26 23:05:37 +0200  Fix jom install in readme
Chris Desjardins 2015-08-26 21:30:31 +0200  Update readme to build qt from zip files
Chris Desjardins 2015-08-24 06:51:03 +0200  Update git tag handling
Chris Desjardins 2015-08-24 06:33:51 +0200  Add at exit handler for cleaning up tags in build script
Chris Desjardins 2015-08-24 06:26:39 +0200  Update copyright
Chris Desjardins 2015-08-24 06:20:56 +0200  Update to boost 1.59
Chris Desjardins 2015-07-22 21:14:42 +0200  Remove create/destroy cppssh APIs
Chris Desjardins 2015-07-20 22:41:54 +0200  (tag: v2015.202) Correct filename
Chris Desjardins 2015-07-20 20:53:57 +0200  Fix bug with view resize in tabbed view when focus changes
Chris Desjardins 2015-07-19 14:34:38 +0200  Change cppssh timeout on windows..
Chris Desjardins 2015-07-19 14:33:44 +0200  Add PRE_TARGETDEPS for cppssh and other static libs
Chris Desjardins 2015-07-19 12:56:50 +0200  Fix final issue with dirty libs in build script
Chris Desjardins 2015-07-19 12:46:05 +0200  Cleanup dirty handling in build script
Chris Desjardins 2015-07-19 11:51:53 +0200  Cleanup the dirty dirty libs
Chris Desjardins 2015-07-19 11:34:47 +0200  Update build script to mark dirty if any lib (except botan) is dirty
Chris Desjardins 2015-07-14 20:04:56 +0200  (tag: v2015.196) Add flush to capture log
Chris Desjardins 2015-07-14 19:54:18 +0200  Fix capture log icon on focus change
Chris Desjardins 2015-07-14 19:51:10 +0200  open capture file can now open any file
Chris Desjardins 2015-07-14 19:22:15 +0200  Uncrustify
Chris Desjardins 2015-07-13 21:06:12 +0200  Add capture logging feature
Chris Desjardins 2015-07-13 19:30:58 +0200  Add log icon for stopping
Chris Desjardins 2015-07-13 19:00:23 +0200  Add log icon
Chris Desjardins 2015-07-13 18:32:09 +0200  Remove dead debug code
Chris Desjardins 2015-07-11 08:51:47 +0200  (tag: v2015.192) Revert "Cleanup http request"
Chris Desjardins 2015-07-11 08:06:08 +0200  Revert "Get ready for year/month/day versions"
Chris Desjardins 2015-07-11 08:04:09 +0200  Cleanup http request
Chris Desjardins 2015-07-11 07:20:17 +0200  Change edit triggers on file clipboard to prevent accidental overwriiting of itmes
Chris Desjardins 2015-07-01 22:17:03 +0200  Fix cpu consumption issue in cppssh connector
Chris Desjardins 2015-06-30 02:45:43 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-06-30 02:42:50 +0200  Get ready for year/month/day versions
Chris Desjardins 2015-06-30 02:42:50 +0200  Get ready for year/month/day versions
Chris Desjardins 2015-06-30 02:21:22 +0200  Remove cppssh version info
Chris Desjardins 2015-06-29 23:04:55 +0200  Throw exception when cppssh fails to connect
Chris Desjardins 2015-06-29 23:04:35 +0200  Enable cppssh on debug builds
Chris Desjardins 2015-06-21 14:59:32 +0200  Fix disconnect cppssh issue
Chris Desjardins 2015-06-18 20:15:05 +0200  Update for new botan lib name
Chris Desjardins 2015-06-18 19:42:20 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-06-18 19:41:59 +0200  Enable debug logs in cppssh release builds
Chris Desjardins 2015-06-17 00:49:42 +0200  Make cmake commands copy/pastable
Chris Desjardins 2015-06-15 23:44:10 +0200  Update version deps
Chris Desjardins 2015-06-15 23:12:26 +0200  (tag: v1.28) Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-06-15 23:11:58 +0200  Update shift+enter rule
Chris Desjardins 2015-06-15 22:50:22 +0200  Update createVersion rule
Chris Desjardins 2015-06-15 20:56:44 +0200  Update to use new cppssh api
Chris Desjardins 2015-06-13 14:14:11 +0200  Clean up error message when wrong params are given
Chris Desjardins 2015-06-13 13:58:52 +0200  Cleanup master build script
Chris Desjardins 2015-06-13 12:31:29 +0200  Add static flag to cppssh
Chris Desjardins 2015-06-13 12:01:31 +0200  Update build scripts to uncrustify everything
Chris Desjardins 2015-06-13 11:37:51 +0200  Uncrustify
Chris Desjardins 2015-06-13 11:27:04 +0200  Add cppssh version info to about box
Chris Desjardins 2015-06-12 00:34:40 +0200  Revert botan lib name change
Chris Desjardins 2015-06-11 23:49:16 +0200  Update botan libname
Chris Desjardins 2015-06-09 23:13:07 +0200  Move botan to debug/release dirs
Chris Desjardins 2015-06-09 22:41:08 +0200  Fix compiler warning with histSize
Chris Desjardins 2015-06-09 20:00:50 +0200  Use debug version of cppssh for debug builds
Chris Desjardins 2015-06-09 00:39:35 +0200  Make it possible to use cppssh in release builds
Chris Desjardins 2015-06-09 00:06:59 +0200  Move build all to python
Chris Desjardins 2015-06-09 00:04:02 +0200  Update build script for windows
Chris Desjardins 2015-06-08 23:32:14 +0200  Update build script to build all
Chris Desjardins 2015-06-08 22:34:14 +0200  Add a simple build all scrip
Chris Desjardins 2015-06-02 23:29:42 +0200  (tag: v1.27) uncrustify
Chris Desjardins 2015-06-02 23:28:17 +0200  Fix issue with scrolling when not necessary
Chris Desjardins 2015-06-02 00:09:06 +0200  Remove pointless and broken log msg
Chris Desjardins 2015-06-01 22:05:30 +0200  Remove LOG_TAG
Chris Desjardins 2015-06-01 21:16:06 +0200  Get window resize to work with cppssh, and cleanups
Chris Desjardins 2015-06-01 19:48:16 +0200  Close cppssh connection
Chris Desjardins 2015-05-31 22:48:27 +0200  Add logging, and cleanups
Chris Desjardins 2015-05-31 18:49:13 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-05-31 18:46:22 +0200  Getting cppssh to work on linux
Chris Desjardins 2015-05-31 18:04:43 +0200  Adding cppssh interface to combomb
Chris Desjardins 2015-05-24 12:56:06 +0200  Update search behavior on file clipboard
Chris Desjardins 2015-05-11 08:35:55 +0200  put the malloc_trim back in history clear
Chris Desjardins 2015-05-06 22:19:20 +0200  (tag: v1.26) Fix resize bug
Chris Desjardins 2015-05-05 14:04:00 +0200  Uncrustify
Chris Desjardins 2015-05-05 14:02:51 +0200  Got new circ buffer to work on linux
Chris Desjardins 2015-05-05 13:52:14 +0200  Make scrollback lines configurable
Chris Desjardins 2015-05-05 12:23:40 +0200  Change history from infinite, to circular
Chris Desjardins 2015-05-05 11:42:13 +0200  Rename historyscroll
Chris Desjardins 2015-04-30 19:12:09 +0200  New version to rebuild with gcc 4.8
Chris Desjardins 2015-04-30 00:09:03 +0200  Fix qnetworkrequest on linux
Chris Desjardins 2015-04-26 17:31:15 +0200  Fix compiler warning
Chris Desjardins 2015-04-25 13:33:36 +0200  (tag: v1.25) Uncrustify
Chris Desjardins 2015-04-25 13:23:25 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-04-25 13:22:48 +0200  Add search feature to file clipboard
Chris Desjardins 2015-04-23 23:17:48 +0200  Uncrustify
Chris Desjardins 2015-04-23 23:16:34 +0200  Fix shift+pageup/down buttons
Chris Desjardins 2015-04-23 22:18:52 +0200  Make tracking output a little less touchy
Chris Desjardins 2015-04-23 08:37:16 +0200  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-04-23 08:37:03 +0200  Fix triple select bug
Chris Desjardins 2015-04-20 20:34:47 +0200  (tag: v1.24) Move to boost 1.58
Chris Desjardins 2015-04-20 20:20:41 +0200  Update to boost 1.58
Chris Desjardins 2015-04-13 23:32:40 +0200  Cleanups
Chris Desjardins 2015-04-13 23:27:23 +0200  Make clear history background
Chris Desjardins 2015-03-16 20:45:24 +0100  Fix memory issue on linux
Chris Desjardins 2015-02-25 08:29:39 +0100  Add fix to only render chars that are the correct width
Chris Desjardins 2015-02-24 01:02:57 +0100  Remove dead file
Chris Desjardins 2015-02-24 00:29:37 +0100  Merge branch 'master' of ssh://github.com/cdesjardins/ComBomb
Chris Desjardins 2015-02-24 00:29:22 +0100  Move includes around, and fix include path
Chris Desjardins 2015-02-24 00:27:00 +0100  Fix debug/release builds on windows
Chris Desjardins 2015-02-23 23:00:30 +0100  Move stuff around to new install path
Chris Desjardins 2015-02-22 17:47:45 +0100  Add filesystem to boost build
Chris Desjardins 2015-02-22 12:42:00 +0100  Get build working with repo
Chris Desjardins 2015-02-22 12:11:33 +0100  Update readme
Chris Desjardins 2015-02-21 14:55:40 +0100  Move boost
Chris Desjardins 2015-02-21 13:40:46 +0100  Remove submodules
Chris Desjardins 2015-02-21 13:19:42 +0100  Add more comments
Chris Desjardins 2015-02-21 13:16:45 +0100  Try out repo
Chris Desjardins 2015-02-19 21:12:30 +0100  Adjust timestap format
Chris Desjardins 2015-02-15 13:37:57 +0100  (tag: v1.23) Update version checker to eliminate ssl depend
Chris Desjardins 2015-02-15 12:59:47 +0100  More work on static build
Chris Desjardins 2015-02-15 11:59:32 +0100  More annoying font stuff
Chris Desjardins 2015-02-15 11:28:51 +0100  Fix to linux build script
Chris Desjardins 2015-02-15 11:18:48 +0100  Moving towards static builds
Chris Desjardins 2015-02-14 18:33:17 +0100  Update readme
Chris Desjardins 2015-02-14 18:30:27 +0100  Updates for static linking
Chris Desjardins 2015-02-12 21:39:36 +0100  More boost reduction
Chris Desjardins 2015-02-11 20:50:05 +0100  More boost reduction
Chris Desjardins 2015-02-10 09:52:56 +0100  (tag: v1.22) Fix font size selection stuff
Chris Desjardins 2015-02-10 09:28:23 +0100  Fix bold face font
Chris Desjardins 2015-02-09 23:54:23 +0100  Uncrustify
Chris Desjardins 2015-02-09 23:51:12 +0100  Fixing some final font issues
Chris Desjardins 2015-02-09 23:23:47 +0100  Make fonts nice when no config data is found
Chris Desjardins 2015-02-09 23:06:17 +0100  Fix jittery font problems
Chris Desjardins 2015-02-09 19:40:33 +0100  Fix compiler warning
Chris Desjardins 2015-02-09 00:56:48 +0100  Fix linux build
Chris Desjardins 2015-02-09 00:55:20 +0100  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2015-02-09 00:55:02 +0100  New queue ptr
Chris Desjardins 2015-02-09 00:48:29 +0100  uncrustify
Chris Desjardins 2015-02-09 00:47:27 +0100  Start moving away from boost, and font fixes
Chris Desjardins 2015-02-08 22:40:45 +0100  Update build script for msvc 2013 and qt 5.4
Chris Desjardins 2015-02-08 22:17:02 +0100  Fix font serialization
Chris Desjardins 2015-02-08 21:35:40 +0100  Move to msvc2013 and qt 5.4
Chris Desjardins 2015-02-08 19:37:49 +0100  Update menu stuff
Chris Desjardins 2015-02-02 20:12:39 +0100  Uncrustify
Chris Desjardins 2015-02-02 20:06:36 +0100  Fix default font bug on linux
Chris Desjardins 2015-01-06 19:40:38 +0100  (tag: v1.21) Uncrustify
Chris Desjardins 2015-01-06 19:39:14 +0100  Fix selection highlight problem
Chris Desjardins 2015-01-01 11:47:40 +0100  (tag: v1.20) Make the default background black
Chris Desjardins 2015-01-01 11:35:50 +0100  Made white background possible
Chris Desjardins 2014-12-31 18:23:15 +0100  Remove debug code
Chris Desjardins 2014-12-31 18:20:51 +0100  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-12-31 18:20:13 +0100  Add keyboard shortcuts and character cleanups
Chris Desjardins 2014-12-30 22:15:43 +0100  Uncrustify
Chris Desjardins 2014-12-30 22:12:11 +0100  Prep for back/fore color swap
Chris Desjardins 2014-12-30 20:47:49 +0100  Remove more dead code
Chris Desjardins 2014-12-30 20:44:44 +0100  Remove dead code
Chris Desjardins 2014-12-30 19:20:02 +0100  Correct bug with newline checkbox
Chris Desjardins 2014-12-29 20:01:21 +0100  Fix process connections
Chris Desjardins 2014-12-28 18:17:32 +0100  Fix compiler warnings
Chris Desjardins 2014-12-28 17:56:57 +0100  Remove cancel on socket which may fail on some old windows versions
Chris Desjardins 2014-12-28 17:35:24 +0100  (tag: v1.19) Add combomb flag to url
Chris Desjardins 2014-12-28 17:14:48 +0100  Fixup update checker
Chris Desjardins 2014-12-28 16:55:30 +0100  Uncrustify
Chris Desjardins 2014-12-28 16:54:56 +0100  Use async connect, and other cleanups
Chris Desjardins 2014-12-28 15:24:39 +0100  Uncrustify
Chris Desjardins 2014-12-28 15:21:43 +0100  Fixing a deadlock at close during reconnect
Chris Desjardins 2014-12-28 14:03:07 +0100  Cleanup and correct connection manager
Chris Desjardins 2014-12-28 09:54:49 +0100  Adding connection manager
Chris Desjardins 2014-12-28 08:44:46 +0100  Move threads to new class
Chris Desjardins 2014-12-27 13:13:03 +0100  Working on telnet
Chris Desjardins 2014-12-18 08:32:31 +0100  Uncrustify
Chris Desjardins 2014-12-17 21:42:28 +0100  Starting on telnet support
Chris Desjardins 2014-12-17 19:29:13 +0100  Adding tabbed view options
Chris Desjardins 2014-12-03 21:28:20 +0100  (tag: v1.18) Add uptime to about box
Chris Desjardins 2014-11-22 18:49:07 +0100  Remove context menu from tool bar
Chris Desjardins 2014-11-18 21:14:08 +0100  Adding combomb icon
Chris Desjardins 2014-11-18 20:51:48 +0100  Add network.dll to windows build
Chris Desjardins 2014-11-18 20:39:42 +0100  Add network library to linux zip
Chris Desjardins 2014-11-17 21:39:07 +0100  (tag: v1.17) Uncrustify
Chris Desjardins 2014-11-17 21:30:49 +0100  Finishing the new version checker
Chris Desjardins 2014-11-17 20:33:46 +0100  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-11-17 20:33:26 +0100  Starting on automatic version check
Chris Desjardins 2014-11-15 10:45:07 +0100  Uncrustify
Chris Desjardins 2014-11-15 10:31:59 +0100  Dont redirect stdout on uncrustify
Chris Desjardins 2014-11-15 10:30:51 +0100  Update uncrust invoke
Chris Desjardins 2014-11-15 10:30:19 +0100  Adding uncrustify to build script
Chris Desjardins 2014-11-15 10:11:53 +0100  New queueptr
Chris Desjardins 2014-11-14 19:03:27 +0100  New queueptr
Chris Desjardins 2014-11-14 18:42:42 +0100  Uncrustify
Chris Desjardins 2014-11-14 18:28:02 +0100  Uncrustify
Chris Desjardins 2014-11-11 20:01:19 +0100  Fix compiler issues
Chris Desjardins 2014-11-11 19:40:59 +0100  Update process icon on window switch
Chris Desjardins 2014-11-09 10:27:19 +0100  (tag: v1.16) fix compiler warning in release build
Chris Desjardins 2014-11-09 10:21:30 +0100  Cleanup open dialog on windows
Chris Desjardins 2014-11-08 19:43:33 +0100  Cleanup the process interface
Chris Desjardins 2014-11-08 16:13:10 +0100  Starting on interface to process
Chris Desjardins 2014-11-08 11:46:36 +0100  Cleanup about box and docs
Chris Desjardins 2014-11-08 11:33:42 +0100  Adding license notice
Chris Desjardins 2014-11-06 18:58:22 +0100  Move to boost 1.57
Chris Desjardins 2014-10-27 21:07:45 +0100  Fix build script on windows
Chris Desjardins 2014-10-27 21:00:59 +0100  Adding savetofile script to build
Chris Desjardins 2014-10-27 20:54:20 +0100  Adding savetofile script
Chris Desjardins 2014-10-23 19:31:57 +0200  Some small file clipboard fixups
Chris Desjardins 2014-10-22 20:47:41 +0200  (tag: v1.15) Redo the stderr redirection stuff
Chris Desjardins 2014-10-21 23:51:16 +0200  (tag: v1.14) Adding error dialog
Chris Desjardins 2014-10-21 20:25:23 +0200  Change tab order
Chris Desjardins 2014-10-21 20:05:01 +0200  Fix keyboard shortcuts for stop process
Chris Desjardins 2014-10-21 19:59:25 +0200  Add stop process button
Chris Desjardins 2014-10-21 19:26:24 +0200  Update about box to link to icon set
Chris Desjardins 2014-10-21 19:18:23 +0200  Fix blanking out current text in combobox bug
Chris Desjardins 2014-10-19 12:47:48 +0200  Fix compiler warnings in release mode, and clean up build script
Chris Desjardins 2014-10-19 12:30:37 +0200  Add revision history to zip file
Chris Desjardins 2014-10-18 10:55:27 +0200  Fix select all bug
Chris Desjardins 2014-10-15 22:06:16 +0200  Make the selection of which chars to render a bit better
Chris Desjardins 2014-10-14 21:56:57 +0200  (tag: v1.13) Fix deadlock issue
Chris Desjardins 2014-10-14 19:33:20 +0200  Only render chars that are in the font
Chris Desjardins 2014-10-11 13:42:50 +0200  Fix search hightlighted, and combobox bug
Chris Desjardins 2014-10-07 19:26:27 +0200  Get rid of qDebug in release builds
Chris Desjardins 2014-10-05 13:32:40 +0200  (tag: v1.12) Finish search backward
Chris Desjardins 2014-10-05 12:50:19 +0200  Starting on search backward
Chris Desjardins 2014-10-03 08:23:22 +0200  Fix keyboard shortcut dup
Chris Desjardins 2014-10-01 20:53:07 +0200  Fix selection on last line bug
Chris Desjardins 2014-09-26 08:12:03 +0200  Fix bug with scroll bars after clear screen
Chris Desjardins 2014-09-17 20:55:24 +0200  Rearrange icons
Chris Desjardins 2014-09-16 21:07:27 +0200  Add shortcut for find
Chris Desjardins 2014-09-16 07:24:44 +0200  Remove debug code from release build
Chris Desjardins 2014-09-15 22:05:53 +0200  (tag: v1.11) Fixing issues with search under cursor
Chris Desjardins 2014-09-15 21:21:40 +0200  Fix end of line selection issue
Chris Desjardins 2014-09-15 20:24:11 +0200  Adding find under cursor
Chris Desjardins 2014-09-13 12:43:50 +0200  Fix bug with new lines on copy/paste
Chris Desjardins 2014-09-13 12:12:51 +0200  (tag: v1.10) Fix trailing whitespace issue
Chris Desjardins 2014-09-13 10:48:14 +0200  Adding null pointer checks
Chris Desjardins 2014-09-09 23:27:18 +0200  Change tab order, and make update find next
Chris Desjardins 2014-09-09 23:13:47 +0200  Adding new icon sizes
Chris Desjardins 2014-09-09 22:26:10 +0200  (tag: v1.9) Adding search next
Chris Desjardins 2014-09-09 19:43:14 +0200  Adding find next/prev buttons
Chris Desjardins 2014-09-09 19:27:54 +0200  Remove debug
Chris Desjardins 2014-09-09 19:25:22 +0200  Fix about box
Chris Desjardins 2014-09-09 19:15:09 +0200  (tag: v1.8) Fixed resize bug
Chris Desjardins 2014-09-09 19:03:40 +0200  Use vector rather than circ buff
Chris Desjardins 2014-09-09 01:04:20 +0200  Working on resize issue
Chris Desjardins 2014-09-08 23:13:37 +0200  Adding search
Chris Desjardins 2014-09-07 14:47:12 +0200  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-09-07 14:46:54 +0200  Starting on find text command
Chris Desjardins 2014-09-07 12:46:06 +0200  Fix warnings on linux
Chris Desjardins 2014-09-07 12:37:38 +0200  Clean up warnings on windows
Chris Desjardins 2014-09-07 11:54:47 +0200  (tag: v1.7) Add debug
Chris Desjardins 2014-09-07 11:45:50 +0200  Suppress output while process running
Chris Desjardins 2014-09-06 13:46:44 +0200  Got xyzmodems working
Chris Desjardins 2014-08-21 23:12:26 +0200  (tag: v1.6) Small perf optimization
Chris Desjardins 2014-08-21 18:11:35 +0200  Fix circ buff bug
Chris Desjardins 2014-08-21 01:50:12 +0200  Vectorize and circ buff
Chris Desjardins 2014-08-20 23:52:53 +0200  Vectorize
Chris Desjardins 2014-08-20 20:07:20 +0200  Vectorize
Chris Desjardins 2014-08-20 01:33:40 +0200  Start to use std vector
Chris Desjardins 2014-08-19 22:13:00 +0200  Remove dead code and try to improve performance
Chris Desjardins 2014-08-19 20:41:01 +0200  Fix selection new line issue
Chris Desjardins 2014-08-18 20:51:59 +0200  (tag: v1.5) Made select all work
Chris Desjardins 2014-08-17 00:33:35 +0200  (tag: v1.4) Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-08-17 00:33:16 +0200  Get rid of dynamic chars
Chris Desjardins 2014-08-16 15:37:44 +0200  Big var rename
Chris Desjardins 2014-08-16 15:06:40 +0200  Var rename
Chris Desjardins 2014-08-16 14:50:31 +0200  Move more stuff to shared_ptr
Chris Desjardins 2014-08-16 12:47:04 +0200  Make history infinite
Chris Desjardins 2014-08-16 10:33:53 +0200  Fix last dequeue errors
Chris Desjardins 2014-08-15 00:52:31 +0200  Fix clearscreen
Chris Desjardins 2014-08-15 00:11:29 +0200  More history cleanups
Chris Desjardins 2014-08-14 23:54:15 +0200  Clean up history handler
Chris Desjardins 2014-08-14 21:31:03 +0200  Update to latest QueuePtr
Chris Desjardins 2014-08-14 21:02:54 +0200  Fix some memory bugs
Chris Desjardins 2014-08-14 19:20:51 +0200  Fix default font
Chris Desjardins 2014-08-14 19:11:38 +0200  Bug fixes in process handling and combobox
Chris Desjardins 2014-08-13 21:42:40 +0200  Code cleanups
Chris Desjardins 2014-08-13 19:53:58 +0200  (tag: v1.3) Save/restore main window geom
Chris Desjardins 2014-08-12 19:39:39 +0200  Fix fonts with negitave leading
Chris Desjardins 2014-08-11 21:34:23 +0200  (tag: v1.2) Fix font leading problem
Chris Desjardins 2014-08-10 14:37:00 +0200  Fix issue in moc with deps gen and files called version.h
Chris Desjardins 2014-08-10 14:20:12 +0200  Move to boost 56 on linux
Chris Desjardins 2014-08-10 13:59:38 +0200  Move to boost 56 on windows
Chris Desjardins 2014-08-07 23:30:17 +0200  (tag: v1.1) Add font config options
Chris Desjardins 2014-08-07 22:31:16 +0200  Remove unused var
Chris Desjardins 2014-08-07 22:30:11 +0200  Make the file clipboard save settings as they change
Chris Desjardins 2014-08-07 22:01:41 +0200  Remember all combobox selections
Chris Desjardins 2014-07-14 12:11:44 +0200  (tag: v1.0) Fix build script
Chris Desjardins 2014-07-14 12:10:08 +0200  Testing build script version gen
Chris Desjardins 2014-07-14 12:03:52 +0200  Update build script for new ver of qt
Chris Desjardins 2014-07-14 11:45:51 +0200  Update to latest version of qt
Chris Desjardins 2014-07-14 11:40:36 +0200  Update to new version of cl
Chris Desjardins 2014-07-13 15:31:37 +0200  Update readme and build script
Chris Desjardins 2014-07-13 14:59:13 +0200  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-07-13 14:59:02 +0200  Add new files to linux dist
Chris Desjardins 2014-07-09 12:20:50 +0200  Add redist to windows build
Chris Desjardins 2014-07-04 14:14:38 +0200  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-07-04 14:14:10 +0200  Make open dialog remember which tab is selected
Chris Desjardins 2014-06-26 18:16:47 +0200  Merge branch 'master' of github.com:cdesjardins/ComBomb
Chris Desjardins 2014-06-26 18:16:38 +0200  Adding new files for linux
Chris Desjardins 2014-06-26 18:15:54 +0200  Add prompt when building dirty
Chris Desjardins 2014-06-26 17:56:09 +0200  check for qmake
Chris Desjardins 2014-06-26 13:40:16 +0200  Remove debug
Chris Desjardins 2014-06-26 13:17:09 +0200  Build script
Chris Desjardins 2014-06-26 11:27:41 +0200  Starting build script
Chris Desjardins 2014-06-26 11:11:37 +0200  Update cl
Chris Desjardins 2014-06-26 11:09:10 +0200  Adding cl as a submodule
Chris Desjardins 2014-06-25 14:24:49 +0200  Enable pgp
Chris Desjardins 2014-06-23 13:52:41 +0200  Update ssh disconnect stuff
Chris Desjardins 2014-06-23 10:21:33 +0200  Remove find menu items
Chris Desjardins 2014-06-16 20:08:21 +0200  Change focus when click on file clipboard
Chris Desjardins 2014-06-12 10:25:19 +0200  Fix menus, start on find
Chris Desjardins 2014-05-22 21:07:40 +0200  Add a sleep in thread main loop
Chris Desjardins 2014-05-15 09:51:48 +0200  Change serial disconnect/close issues
Chris Desjardins 2014-05-08 19:13:45 +0200  Fix debug assert on delete
Chris Desjardins 2014-05-07 00:16:13 +0200  Update to latest QueuePtr
Chris Desjardins 2014-05-07 00:02:17 +0200  Update to new queueptr and static runtime
Chris Desjardins 2014-05-05 18:35:00 +0200  Prevent multiple gcc lines from being appended to user-config
Chris Desjardins 2014-05-05 17:33:14 +0200  Speedup boost build
Chris Desjardins 2014-05-02 15:10:01 +0200  Update copyright
Chris Desjardins 2014-05-01 11:00:02 +0200  Update to latest queueptr
Chris Desjardins 2014-03-13 00:28:30 +0100  Update to latest qptr and readme
Chris Desjardins 2014-03-11 22:07:36 +0100  Update README.md
Chris Desjardins 2014-03-11 22:07:23 +0100  Update README.md
Chris Desjardins 2014-03-03 23:18:40 +0100  I hate git
Chris Desjardins 2014-03-03 23:09:04 +0100  Update queue ptr
Chris Desjardins 2014-03-03 22:33:37 +0100  Allow adjustable buffer size
Chris Desjardins 2014-03-03 22:05:53 +0100  Move over to automagic relist of buffers
Chris Desjardins 2014-03-03 21:11:22 +0100  Add queueptr as submodule
Chris Desjardins 2014-03-03 20:58:53 +0100  Added QueuePtr as submodule
Chris Desjardins 2014-03-03 20:54:13 +0100  Revert queue change and add sleep
Chris Desjardins 2014-03-02 12:31:31 +0100  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2014-03-02 12:31:12 +0100  Fix cpu hog issue
Chris Desjardins 2013-12-26 11:26:05 +0100  Fixed resize issue
Chris Desjardins 2013-12-18 23:29:49 +0100  Move to boost 1.55
Chris Desjardins 2013-12-11 19:49:49 +0100  Update release script
Chris Desjardins 2013-12-11 09:08:53 +0100  Move to boost 1.55
Chris Desjardins 2013-12-10 22:16:47 +0100  Adding release script
Chris Desjardins 2013-12-10 21:59:10 +0100  Move combomb script
Chris Desjardins 2013-12-10 21:58:50 +0100  Update scripts
Chris Desjardins 2013-12-10 21:16:41 +0100  Fixing linux compile issue
Chris Desjardins 2013-12-10 20:52:27 +0100  Create a real buffer pool
Chris Desjardins 2013-12-08 16:34:28 +0100  ADding configurable com ports
Chris Desjardins 2013-12-08 14:11:07 +0100  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-12-08 14:10:49 +0100  Adding backtab handler
Chris Desjardins 2013-11-28 00:18:55 +0100  Update README.md
Chris Desjardins 2013-11-28 00:18:25 +0100  Update README.md
Chris Desjardins 2013-11-28 00:17:16 +0100  Update README.md
Chris Desjardins 2013-11-28 00:16:22 +0100  Update README.md
Chris Desjardins 2013-11-28 00:15:59 +0100  Update README.md
Chris Desjardins 2013-11-28 00:10:36 +0100  Create README.md
Chris Desjardins 2013-11-15 20:38:45 +0100  Adding clear scrollback
Chris Desjardins 2013-11-15 20:37:41 +0100  Adding clear scrollback
Chris Desjardins 2013-11-14 19:49:13 +0100  Fix bugs in serial connection
Chris Desjardins 2013-11-11 23:06:38 +0100  Adding icon
Chris Desjardins 2013-11-11 23:05:30 +0100  Fixed icon
Chris Desjardins 2013-11-11 22:45:50 +0100  Fixed process deadlock
Chris Desjardins 2013-11-11 19:52:25 +0100  Name change
Chris Desjardins 2013-10-31 00:40:48 +0100  Adding comments
Chris Desjardins 2013-10-30 21:36:19 +0100  Moving mutexes around
Chris Desjardins 2013-10-29 23:36:44 +0100  Merge branch 'process'
Chris Desjardins 2013-10-29 23:33:51 +0100  Adding qprocess stuff
Chris Desjardins 2013-10-29 18:51:55 +0100  Change combox to cbcombo
Chris Desjardins 2013-10-29 09:12:28 +0100  Update some open dialog issues
Chris Desjardins 2013-10-28 23:16:00 +0100  Rename widgets
Chris Desjardins 2013-10-28 22:11:27 +0100  Working on run process dialog
Chris Desjardins 2013-10-24 18:51:08 +0200  Fixup error reporting in ssh
Chris Desjardins 2013-10-24 00:17:49 +0200  Starting on process
Chris Desjardins 2013-10-22 23:10:32 +0200  Fix screen size issue
Chris Desjardins 2013-10-21 22:44:00 +0200  Change serialize code to qt
Chris Desjardins 2013-10-21 19:23:45 +0200  Add catch for loading error
Chris Desjardins 2013-10-20 11:05:11 +0200  Starting on config options
Chris Desjardins 2013-10-19 15:32:23 +0200  Update icons again
Chris Desjardins 2013-10-19 13:18:03 +0200  Update icons
Chris Desjardins 2013-10-17 20:11:34 +0200  Smal cleanups
Chris Desjardins 2013-10-16 22:55:32 +0200  Fix resize label update bug
Chris Desjardins 2013-10-16 21:29:26 +0200  Uncrustify
Chris Desjardins 2013-10-16 21:18:11 +0200  Make cols on fileclibboard stretch
Chris Desjardins 2013-10-16 19:56:12 +0200  Fix compiler warning
Chris Desjardins 2013-10-16 19:27:17 +0200  Fix selection of :
Chris Desjardins 2013-10-16 19:10:45 +0200  Adding new esc codes to ignore
Chris Desjardins 2013-10-16 18:26:41 +0200  Fixing buffer bug, and cleanup
Chris Desjardins 2013-10-15 23:19:38 +0200  Fix fileclipboard geom on linux
Chris Desjardins 2013-10-15 22:23:11 +0200  Add send new line
Chris Desjardins 2013-10-15 22:00:10 +0200  Adding file clipboard
Chris Desjardins 2013-10-15 00:47:19 +0200  Starting on file clipboard
Chris Desjardins 2013-10-14 19:59:13 +0200  Remove debug
Chris Desjardins 2013-10-14 19:41:36 +0200  Fix hang during auto reconnect
Chris Desjardins 2013-10-13 23:19:48 +0200  Adding new icon
Chris Desjardins 2013-10-13 22:44:49 +0200  Fix warnings on linux
Chris Desjardins 2013-10-13 22:15:14 +0200  Updated version file generation
Chris Desjardins 2013-10-13 18:24:21 +0200  Adding cr/lf toggler
Chris Desjardins 2013-10-13 10:55:34 +0200  Adding startup script
Chris Desjardins 2013-10-12 19:44:27 +0200  New version
Chris Desjardins 2013-10-12 19:33:04 +0200  Getting reconnect on serial to work
Chris Desjardins 2013-10-12 18:12:31 +0200  Made reconnect work on serial
Chris Desjardins 2013-10-12 17:38:10 +0200  Working on reconnect to serial
Chris Desjardins 2013-10-12 15:07:11 +0200  Fix keyboard translation
Chris Desjardins 2013-10-12 14:43:51 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-10-12 14:44:57 +0200  Adding mapping for ctrl-c
Chris Desjardins 2013-10-12 14:43:42 +0200  Updates for about box
Chris Desjardins 2013-10-12 12:16:34 +0200  Adding versioning
Chris Desjardins 2013-10-12 11:48:03 +0200  Adding version generation
Chris Desjardins 2013-10-08 23:28:05 +0200  (tag: v0.1a) Adding new icons
Chris Desjardins 2013-10-07 23:55:33 +0200  Fix major memory leaks...
Chris Desjardins 2013-10-07 00:54:58 +0200  Remove extra debugs
Chris Desjardins 2013-10-07 00:49:26 +0200  Fixing some gui issueswq
Chris Desjardins 2013-10-06 23:42:25 +0200  Rearrange wdith/height
Chris Desjardins 2013-10-06 23:25:46 +0200  Adding term type and size to ssh
Chris Desjardins 2013-10-06 21:58:29 +0200  Compiling on linux
Chris Desjardins 2013-10-06 20:42:43 +0200  Improve the open dialog
Chris Desjardins 2013-10-06 12:50:20 +0200  Re-org of code
Chris Desjardins 2013-10-05 16:59:34 +0200  Adding reconnect code
Chris Desjardins 2013-10-05 12:37:53 +0200  Uncrustify
Chris Desjardins 2013-10-05 12:26:25 +0200  Adding keyboard translator
Chris Desjardins 2013-10-05 10:59:00 +0200  Uncrustify
Chris Desjardins 2013-10-05 10:36:42 +0200  hooked up the target to the terminal
Chris Desjardins 2013-10-04 01:05:35 +0200  Attempt to move to a new terminal that is faster
Chris Desjardins 2013-10-03 23:44:29 +0200  Try out qterminal library
Chris Desjardins 2013-10-02 20:31:00 +0200  Starting on scroll support
Chris Desjardins 2013-10-01 22:56:26 +0200  Adding new codes
Chris Desjardins 2013-10-01 22:07:47 +0200  Rearrange opendialog again
Chris Desjardins 2013-10-01 21:39:34 +0200  Fix layout again
Chris Desjardins 2013-10-01 21:28:10 +0200  Set font, and create layouts
Chris Desjardins 2013-10-01 20:12:07 +0200  terminal size stuff
Chris Desjardins 2013-09-29 23:47:29 +0200  Adding ssh to windows build, and fixing vt100 bugs
Chris Desjardins 2013-09-29 15:25:07 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-09-29 15:24:35 +0200  Connection to disconnect
Chris Desjardins 2013-09-29 14:24:49 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-09-29 14:24:40 +0200  Fix compiler warning
Chris Desjardins 2013-09-29 12:17:05 +0200  Adding more ssh stuff
Chris Desjardins 2013-09-29 11:33:55 +0200  Adding username password fields
Chris Desjardins 2013-09-29 11:28:35 +0200  Making more progress on combomb.
Chris Desjardins 2013-09-29 11:01:24 +0200  Adding start of ssh open dialog
Chris Desjardins 2013-09-29 10:26:52 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-09-29 10:26:31 +0200  Moving towards ssh
Chris Desjardins 2013-09-29 00:45:49 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-09-29 00:45:27 +0200  Fixing scroll issue
Chris Desjardins 2013-09-29 00:14:52 +0200  Add usb com ports
Chris Desjardins 2013-09-27 19:09:10 +0200  Using more queues for i/o
Chris Desjardins 2013-09-27 00:32:52 +0200  Start to use smart ptrs
Chris Desjardins 2013-09-26 01:18:54 +0200  Starting on scrolling
Chris Desjardins 2013-09-26 00:48:26 +0200  Getting terminal emulation working
Chris Desjardins 2013-09-25 20:39:59 +0200  Terminal code rework, many bug fixes
Chris Desjardins 2013-09-25 00:53:11 +0200  Added signal for text update
Chris Desjardins 2013-09-23 22:47:02 +0200  Moving terminal to the document
Chris Desjardins 2013-09-22 22:45:01 +0200  Adding more stuff for linux
Chris Desjardins 2013-09-22 18:01:38 +0200  Made open dialog a bit bigger
Chris Desjardins 2013-09-22 17:56:59 +0200  Compile for linux
Chris Desjardins 2013-09-22 17:31:16 +0200  Getting to compile on linux
Chris Desjardins 2013-09-22 16:59:32 +0200  Merge branch 'master' of https://github.com/cdesjardins/ComBomb
Chris Desjardins 2013-09-22 16:59:09 +0200  Make script executable on linux
Chris Desjardins 2013-09-22 16:58:27 +0200  Update makeboost script
Chris Desjardins 2013-09-21 21:19:38 +0200  Getting more stuff working
Chris Desjardins 2013-09-21 16:47:32 +0200  Getting io to work
Chris Desjardins 2013-09-20 00:53:05 +0200  Ignore boost
Chris Desjardins 2013-09-20 00:51:27 +0200  Getting basic io to work
Chris Desjardins 2013-09-17 21:48:22 +0200  Making progress on rendering text
Chris Desjardins 2013-09-01 21:06:20 +0200  Updates for terminalstuff
Chris Desjardins 2013-02-19 00:31:09 +0100  Making progress with the edit control...
Chris Desjardins 2013-02-18 22:29:24 +0100  Getting connected to the terminal
Chris Desjardins 2013-02-18 00:11:26 +0100  Starting on combomb interface
Chris Desjardins 2013-02-17 18:36:21 +0100  Updates for target interface
Chris Desjardins 2013-01-27 16:56:47 +0100  Fix some layout things
Chris Desjardins 2013-01-27 16:29:24 +0100  Changed background.
Chris Desjardins 2013-01-27 15:06:40 +0100  Add scrollbars
Chris Desjardins 2013-01-27 14:49:11 +0100  Adding new icons.
Chris Desjardins 2013-01-27 13:47:18 +0100  First push
